WordPress.org

Forums

Capability Manager Enhanced
[resolved] Warning: Creating default object from empty value in capabilities.php on line 65 (2 posts)

  1. glyndavidson
    Member
    Posted 1 year ago #

    Hello

    I installed This plugin to give editors some additional custom capabilities.

    Now, when I log in with super-admin or admin I get this warning on every page of my dashboard:

    Warning: Creating default object from empty value in /wp-includes/capabilities.php on line 655

    When I try Tools > Capability Manager > Reset to WordPress defaults, I get this error:

    Warning: Illegal string offset 'version' in /wp-content/plugins/capability-manager-enhanced/includes/backup-handler.php on line 79

    Although the custom capabilities I created have been deleted as expected.

    If I deactivate the plugin, and reactivate it again, I get this error:

    Warning: Cannot modify header information - headers already sent by (output started at /wp-includes/capabilities.php:655) in /wp-includes/pluggable.php on line 896

    Any suggestions what might be causing the error and how I go about correcting it?

    I'm using:
    Capability Manager Enhanced 1.5.1 (Not Network Activated)
    Wordpress 3.8

    http://wordpress.org/plugins/capability-manager-enhanced/

  2. glyndavidson
    Member
    Posted 1 year ago #

    I found the problem.

    I'm using the events manager plugin and had deleted a user who had bookings. Deleting the bookings that no longer belonged to anybody corrected the error.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Capability Manager Enhanced
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags

No tags yet.